Bug 233828 - Switch default Perl 5 to 5.28
Summary: Switch default Perl 5 to 5.28
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-06 13:52 UTC by Mathieu Arnold
Modified: 2018-12-13 20:44 UTC (History)
3 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (609 bytes, patch)
2018-12-06 13:52 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2018-12-06 13:52:18 UTC
Created attachment 199893 [details]
v1
Comment 1 doctor 2018-12-07 00:04:47 UTC
I recommend that this not be the case.  In test with Openssl 1.1.1 their is a weird incompatability.  Please let perl 5.26 be the default until Perl 5.28 is fixed against openssl 1.1.1
Comment 2 Adam Weinberger freebsd_committer 2018-12-07 00:09:25 UTC
What is the "weird incompatibility?"
Comment 3 Antoine Brodin freebsd_committer 2018-12-13 06:20:18 UTC
Exp-run looks fine on 11.2
Comment 4 commit-hook freebsd_committer 2018-12-13 20:44:09 UTC
A commit references this bug:

Author: mat
Date: Thu Dec 13 20:44:04 UTC 2018
New revision: 487382
URL: https://svnweb.freebsd.org/changeset/ports/487382

Log:
  Switch Perl 5 default to 5.28.

  PR:		233828
  Exp-run by:	antoine

Changes:
  head/Mk/bsd.default-versions.mk